Important: Please read the Qt Code of Conduct - https://forum.qt.io/topic/113070/qt-code-of-conduct

PyQt6-Charts doesn't macthing any distribuition



  • Due the release from PySide6, some modules still haven't be add. Like QCharts

    I'm current using is PySide6 6.0.3.

    This link from Qt blog says QCharts will(and probably already was) be release in PyQt 6.1 but PySide6 doens't have a 6.1 version yet
    I read in the docs from Riverbank Computing and it's said there is a lib called PyQt6-Charts that can be used to install it. But when I run pip install PyQt6-Charts I receive this message:
    ERROR: Could not find a version that satisfies the requirement PyQt6-Charts (from versions: none)
    ERROR: No matching distribution found for PyQt6-Charts

    I'm new in "Qt World", there is a way to use QCharts in PySide6? If not, Riverbank Computing's docs is wrong? There is a date to release PySide 6.1?



  • @littleFish :
    On the recently published Qt Roadmap for 2021, Qt 6.1 has a release date planned for the beginning of May. I don't know when the PySide6.1 or PyQt6.1 is scheduled to be launched.



  • Hi @littleFish ,

    From what I understand, PyQt6-Charts is only available for version PyQt 6.1.0.
    We have no choice but to wait for PyQt6.1 or PySide6.1 :(

    If you try to pip install directly from Riverbank Computing using:

    pip install --index-url https://www.riverbankcomputing.com/pypi/simple/ --pre --upgrade PyQt6-Charts
    

    You will get this error:

    ERROR: Could not find a version that satisfies the requirement PyQt6>=6.1.0 (from pyqt6-charts) (from versions: 6.1.0.dev2104242013, 6.1.0.dev2104251252, 6.1.0.dev2105011339)
    ERROR: No matching distribution found for PyQt6>=6.1.0
    


  • Thanks for replied @ndias ,
    So I guess I'll have to downgrade to PyQt5 until the release... Do you know some date to it?
    This link says PyQt 6.1 will be release in April, but isn't any pip command to install it published yet



  • @littleFish :
    On the recently published Qt Roadmap for 2021, Qt 6.1 has a release date planned for the beginning of May. I don't know when the PySide6.1 or PyQt6.1 is scheduled to be launched.



  • Thanks @ndias ,
    Guess I misunderstood the text and date release



  • @littleFish said in PyQt6-Charts doesn't macthing any distribuition:

    This link says PyQt 6.1 will be release in April, but isn't any pip command to install it published yet

    On the recently published Qt Roadmap for 2021, Qt 6.1 has a release date planned for the beginning of May. I don't know when the PySide6.1 or PyQt6.1 is scheduled to be launched.

    I just received a notification from PyQt mailing list, and thought of this thread:

    Pre-release versions of PyQt6 v6.1.0 (and PyQt6-3D, PyQt6-NetworkAuth,

    PyQt6-Charts and PyQt6-DataVisualization) are now available. To install,

    run...

    pip install --index-url https://www.riverbankcomputing.com/pypi/simple/

    --upgrade PyQt6



  • Hi @JonB ,

    I was able to install PyQt 6.1 and PyQt6-Charts using commands referred before:

    > pip3 install --index-url https://www.riverbankcomputing.com/pypi/simple/ --pre --upgrade PyQt6
    > pip3 install --index-url https://www.riverbankcomputing.com/pypi/simple/ --pre --upgrade PyQt6-Charts
    

    But I didn't have success to import PyQt6-Charts module. Did you try it on your side?

    Regards



  • @ndias
    No, I don't use PyQt6 or PyQtCharts. The information was just for you/other readers.


Log in to reply